import serial
#import time

def obrab(kv):
    if len(kv) == 0:
        return -100
    st = ''
    #print(kv)
    for i in range(5, 10):
        st += chr(kv[i])
    f = float(st)
    f *= 10 ** (int(chr(kv[10])) - 1)
    return f

class E722():
    
    def __init__(self, serName):
        try:
            self.ser = serial.Serial(serName, baudrate=1200, parity = 'E', stopbits=1,
                            timeout=1, bytesize=7)
            self.ER = False
        except:
            self.ER = True
        #print(self.ser)

    def getKvit(self):
        try:
            self.ser.write(bytes([ord('N')]))
            #time.sleep(1)
            kv = self.ser.readline()
            #print(kv)
            f = obrab(kv)
        except:
            return 'N'
        
        if (f > 1 * 10 ** 6) or (f < -10):
            return 'i.v.'
        return f

"""    def setSet(..........):
        self.ser.write(...........)
        ggg = self.ser.readline()
        if ggg == .....:
            self.ser.write(.......)
        else:
            return "Error! can't set settings!"
        return None"""

   
def findE7(index):
        for i in range(0, 20):
            if i in index:
                continue
            e = E722('/dev/ttyUSB' + str(i))
            if e.ER != True:
                if e.getKvit() != 'N':
                    #time.sleep(1)
                    return (e, i)
        return None
