#!/usr/bin/env python3
from PyQt4 import QtCore, QtGui
from work1 import Ui_Form
import sys
import time

class MyForm(QtGui.QMainWindow):
  def __init__(self, parent=None):
    QtGui.QWidget.__init__(self, parent)
    self.ui = Ui_Form()
    self.ui.setupUi(self)
    self.ui.dateTimeEdit.setDate(QtCore.QDate(time.localtime().tm_year,
                                          time.localtime().tm_mon,
                                          time.localtime().tm_mday))

    QtCore.QObject.connect(self.ui.pushButton, QtCore.SIGNAL("clicked()"),
                           self.showP)
    QtCore.QObject.connect(self.ui.pushButton_2, QtCore.SIGNAL("clicked()"),
                           self.delP)
    QtCore.QObject.connect(self.ui.pushButton_4, QtCore.SIGNAL("clicked()"),
                           self.password)


  def password(self):
    #print(self.ui.pushButton_2.isEnabled())
    if self.ui.lineEdit.text()=='271828':
      self.ui.pushButton_2.setEnabled(True)
      self.ui.pushButton_4.setEnabled(False)
      self.ui.lineEdit.setEnabled(False)
    #print(self.ui.pushButton_2.isEnabled())


  def srTB(self, s, t):
    s = s.split()[0]
    s = s.split(':')
    t = t.split(':')
    
    t[0], t[1], t[2] = (int(t[0]), int(t[1]), int(t[2]))
    s[0], s[1], s[2] = (int(s[0]), int(s[1]), int(s[2]))

    #print(t, s)

    if s[0] > t[0]:
      return True
    elif s[0] < t[0]:
      return False
    else:
      if s[1] > t[1]:
        return True
      elif s[1] < t[1]:
        return False
      else:
        if s[2] >= t[2]:
          return True
        elif s[2] < t[2]:
          return False
    

  def showP(self):
    self.ui.textEdit.clear()
    nf = (self.ui.dateTimeEdit.date().getDate())
    nf = 'res' + str(nf[0])+'-'+str(nf[1])+'-'+str(nf[2])
    nf = '../data/' + nf
    #print(nf)
    try:
      f = open(nf, mode='r')
      mass = f.readlines()
      f.close()
    except IOError as err:
      self.ui.textEdit.append('Такого файла нет')
      return None
      #print(err)
    
    #print(mass)
    #l = len(mass)
    t = self.ui.dateTimeEdit.time()
    t = str(t.hour()) + ':' + str(t.minute()) + ':' + str(t.second())
    l = 0
    r = len(mass)
    while (r - l) > 1:
      i = (r - l) // 2 + l
     # print(l, r, i)
      if self.srTB(mass[i], t):
        r = i
      else:
        l = i
    #b = self.srTB(mass[0], t)
    #print(b)
    try:
      self.ui.textEdit.append(mass[r])
      self.r = r
      self.mass = mass
    except IndexError:
      self.ui.textEdit.append('Такого значения нет')
      return None

  def delP(self):
    nf = (self.ui.dateTimeEdit.date().getDate())
    nf = 'res' + str(nf[0])+'-'+str(nf[1])+'-'+str(nf[2])
    nf = '../data/' + nf
    
    r = self.r
    mass = self.mass
    s = mass[r].split()
    #print(s)
    ind = self.ui.comboBox.currentIndex()
    if ind < 9:
      s[self.ui.comboBox.currentIndex() + 1] = 'del'
      mass[r] = ''
      for ss in s:
        mass[r] += str(ss) + ' '
    else:
      dd = mass.pop(r)
    #print(mass[r])
    try:
      f = open(nf, mode='w')
      for i in range(len(mass)):
        if mass[i][len(mass[i])-1] != '\n':
          mass[i] += '\n'
      f.writelines(mass)
    finally:
      f.close()

if __name__ == "__main__":
  app = QtGui.QApplication(sys.argv)
  myapp = MyForm()
  myapp.show()
  sys.exit(app.exec_())
