#!/usr/bin/env python3
from PyQt4 import QtCore, QtGui
from work0 import Ui_Form
#import ukt38
import sys
#import e722
import subprocess
import time
import daem
import os


def timesrbol(ts1, ts2):
  td1 = ts1.split(':')
  td2 = ts2.split(':')
  if int(td1[0]) > int(td2[0]):
    return True
  elif int(td1[0]) < int(td2[0]):
    return False
  if int(td1[1]) > int(td2[1]):
    return True
  elif int(td1[1]) < int(td2[1]):
    return False
  if int(td1[2]) >= int(td2[2]):
    return True
  elif int(td1[2]) < int(td2[2]):
    return False 

class MyForm(QtGui.QMainWindow):
  def __init__(self, parent=None):
    
    QtGui.QWidget.__init__(self, parent)
    self.ui = Ui_Form()
    self.ui.setupUi(self)
    self.ui.dateEdit.setDate(QtCore.QDate(time.localtime().tm_year,
                                          time.localtime().tm_mon,
                                          time.localtime().tm_mday))
    self.ui.pushButton_5.hide()
    QtCore.QObject.connect(self.ui.pushButton, QtCore.SIGNAL("clicked()"),
                           self.makeGraph)
    QtCore.QObject.connect(self.ui.pushButton_4, QtCore.SIGNAL("clicked()"),
                           self.startt)
    QtCore.QObject.connect(self.ui.pushButton_5, QtCore.SIGNAL("clicked()"),
                           self.stopp)
    QtCore.QObject.connect(self.ui.pushButton_2, QtCore.SIGNAL("clicked()"),
                           self.showres)
    QtCore.QObject.connect(self.ui.pushButton_6, QtCore.SIGNAL("clicked()"),
                           self.stopGraph)
    QtCore.QObject.connect(self.ui.pushButton_7, QtCore.SIGNAL("clicked()"),
                           self.an_hour)
    QtCore.QObject.connect(self.ui.pushButton_8, QtCore.SIGNAL("clicked()"),
                           self.savGraph)

  def stopGraph(self):
    subprocess.Popen('killall gnuplot', shell=True)

  def pl_edit(self):
    # Редактирование файла pl.pl
    b = [
            self.ui.checkBox.isChecked(), self.ui.checkBox_2.isChecked(),
            self.ui.checkBox_3.isChecked(), self.ui.checkBox_4.isChecked(),
            self.ui.checkBox_5.isChecked(), self.ui.checkBox_6.isChecked(),
            self.ui.checkBox_7.isChecked(), self.ui.checkBox_8.isChecked(),
            self.ui.checkBox_9.isChecked(), self.ui.checkBox_21.isChecked(),
         ]
    t1 = self.ui.timeEdit.time()
    t1 = t1.hour() * 3600  + t1.minute() * 60 + t1.second()
    t2 = self.ui.timeEdit_2.time()
    t2 = t2.hour() * 3600  + t2.minute() * 60 + t2.second()

    nf = (self.ui.dateEdit.date().getDate())
    nf = 'res' + str(nf[0])+'-'+str(nf[1])+'-'+str(nf[2])
    
    def Nooo(i):
      if i == 9:
        return 'Е7-22'
      else:
        return 'У-'+str(i)
    f = open('pl.pl', mode = 'w')
    f.write('set grid xtics ytics\n')
    f.write('set xdata time\n')
    f.write('set format x "%H:%M"\n')
    f.write('set timefmt "%H:%M:%S"\n')
    f.write('set ytics nomirror\n')
    f.write('set y2tics\n')
    times = '[' + str(t1) + ':' + str(t2) + '] '
    s2 = 'plot ' + times
    for i in range(1, 9):
      if b[i-1]:
        if s2 != 'plot ' + times:
          s2 += ', '
        s2 += '"' + nf + '"' + ' using 1:' + str(i+1) + " title '" + Nooo(i) + "' with lines axes x1y1"
    if b[8]:
      if s2 != 'plot ' + times:
        s2 += ', '
      s2 += '"' + nf + '"' + ' using 1:' + str(10) + ' title "E7-22-1"' + \
           " with lines axes x1y2"
    if b[9]:
      if s2 != 'plot ' + times:
        s2 += ', '
      s2 += '"' + nf + '"' + ' using 1:' + str(10) + ' title "E7-22-2"' + \
           " with lines axes x1y2"
    f.write(s2)
    # Конец редактирования файла pl.pl

  def savGraph(self):
    self.pl_edit()
    i = 0
    b = True
    while b:
      b = os.access('../plots/plot' + str(i) + '.png', os.F_OK)
      if b:
        i += 1
      
    s = """gnuplot -e "set terminal pngcairo enhanced solid lw 1 size 1024, 640; set output '../plots/plot"""
    s += str(i) + """.png'" pl.pl"""
    #s = """gnuplot -e "set terminal pngcairo enhanced solid lw 1 size 1024, 640; set output '../plots/g2.png'" pl.pl"""
    subprocess.Popen(s, shell=True)

  def an_hour(self):
    t = time.localtime()
    self.ui.timeEdit.setDateTime(QtCore.QDateTime(QtCore.QDate(2000, 1, 1),
                                                  QtCore.QTime(t.tm_hour - 1,
                                                               t.tm_min,
                                                               t.tm_sec)))
    if t.tm_min < 30:
      self.ui.timeEdit_2.setDateTime(QtCore.QDateTime(QtCore.QDate(2000, 1, 1),
                                                      QtCore.QTime(t.tm_hour,
                                                                   t.tm_min + 30,
                                                                   t.tm_sec)))
    else:
      self.ui.timeEdit_2.setDateTime(QtCore.QDateTime(QtCore.QDate(2000, 1, 1),
                                                      QtCore.QTime(t.tm_hour + 1,
                                                                   t.tm_min - 30,
                                                                   t.tm_sec)))
  #  self.ui.timeEdit надо сделать!!!!

  def makeGraph(self):
    #self.ui.graphicsView.items = [0, 10]
    #self.ui.graphicsView.show()
    #QtGui.QGraphicsView.items = [0, 10]

    self.pl_edit()

    if self.ui.checkBox_19.isChecked():
      subprocess.Popen("(cat pl.pl; while true; do echo '; replot'; sleep 3;  done) | gnuplot -p ", shell=True)
    else:
      subprocess.Popen("gnuplot -p pl.pl", shell=True)
    
    
  def startt(self):
    #self.ui.pushButton_4.enabledChange(False)
    self.gg = False
    #self.pr = subprocess.Popen('./daem.py', shell = False)
    #bb = True
    if not self.gg:
      self.da = daem.dae(self.ui)
      self.da.daemon = True
      self.da.start()
      self.gg = True
    else:
      self.da.b = True
    
    #self.pr.
    

  def stopp(self):
    #b = False
    #self.ui.pushButton_4.enabled = True
    
    #self.pr.terminate()
    #bb = False
    #print(self.da.b)
    self.da.b = False
    #print(self.da.b)

  def showres(self):
    #self.ui.label_4.setText(str(0))
   # print('asdf')
    self.ui.textEdit.clear()
    nf = (self.ui.dateEdit.date().getDate())
    nf = 'res' + str(nf[0])+'-'+str(nf[1])+'-'+str(nf[2])
    f = open(nf, mode='r')
    st = f.readlines()
    t1 = self.ui.timeEdit.time()
    t1 = str(t1.hour()) + ':' + str(t1.minute()) + ':' + str(t1.second())
    t2 = self.ui.timeEdit_2.time()
    t2 = str(t2.hour()) + ':' + str(t2.minute()) + ':' + str(t2.second())
    #print(t1)
    #print(t2)
    st1 = []
    for ss in st:
      #print(ss[0])
      s2 = ss.split()
      s2[len(s2) - 1] = s2[len(s2) - 1].split('\n')[0]
      if s2 == []:
        continue
      if (timesrbol(s2[0], t1) and (timesrbol(t2, s2[0]))):
        sss = s2[0] + '\t'
        for l in range(1, len(s2)):
          sss += s2[l] + '\t'
        st1 += [sss]

    st = st1
    #print(st)
    le = len(st)
    l = self.ui.comboBox.currentIndex()
    if l == 0:
      l = min(5, le)
    elif l == 1:
      l = min(20, le)
    else:
      l = le
    for i in range(0, l):
      self.ui.textEdit.append(st[le - l + i].split('\n')[0])
    f.close()
              

 
if __name__ == "__main__":
  app = QtGui.QApplication(sys.argv)
  myapp = MyForm()
  myapp.show()
  sys.exit(app.exec_())
